# $Revision: 1.2 $, $Date: 2002/08/01 12:41:40 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	Properties
Summary:	Scalar::Properties -- run-time properties on scalar variables.
Summary(pl):	Scalar::Properties -- waciwoci skalarw w trakcie wykonywania.
Name:		perl-Scalar-Properties
Version:	0.10
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scalar::Properties attempts to make Perl more object-oriented by
taking an idea from Ruby: Everything you manipulate is an object, and
the results of those manipulations are objects themselves.

%description -l pl
Scalar::Properties prbuje doda do Perla nieco wicej obiektowoci
poprzez zaimplementowanie pomysu z Ruby: wszystko, na czym operujesz,
jest obiektem; tak samo, jak rezultat tych manipulacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
#%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_sitelib}/Scalar
%{perl_sitelib}/Scalar/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Scalar-Properties.spec,v $
Revision 1.2  2002/08/01 12:41:40  ankry
- added %%{perl_sitelib}/Scalar dir
- cleaning, adapterized
- release 2

Revision 1.1  2002/07/24 20:01:36  radek
- new, STBR
